{% load planner_common %}
<div class="planner-modal {% if show_modal_immediately %}visible{% endif %}"
     id="{% spaceless %}{% block modal_id %}{% endblock %}{% endspaceless %}"
     role="dialog"
     {% block dialog_attrs %}{% endblock %}>
  <div class="planner-modal-underlay"
       onclick="event.preventDefault(); this.closest('.planner-modal').classList.remove('visible')"></div>
  <div class="planner-modal-content">
    {% block content %}
      <div class="planner-modal-header">
        <button onclick="event.preventDefault(); this.closest('.planner-modal').classList.remove('visible')">
          {% inline_svg "vendor/material-icons/close.svg" %}
        </button>
        {% block header %}{% endblock %}
      </div>
      <div class="planner-modal-body">
        {% block body %}{% endblock %}
      </div>
      <menu class="horizontal-buttons">
        {% block buttons %}{% endblock %}
      </menu>
    {% endblock %}
  </div>
</div>
